wxWidgets: wxHelpControllerHelpProvider Class Reference

| Version: 3.0.2

- Main Page
- Related Pages
- Categories
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
wxHelpControllerHelpProvider Class Reference
Help

`#include <wx/cshelp.h>`

Inheritance diagram for wxHelpControllerHelpProvider:
[legend]

## Detailed Description

wxHelpControllerHelpProvider is an implementation of wxHelpProvider which supports both context identifiers and plain text help strings.

If the help text is an integer, it is passed to wxHelpController::DisplayContextPopup(). Otherwise, it shows the string in a tooltip as per wxSimpleHelpProvider. If you use this with a wxCHMHelpController instance on windows, it will use the native style of tip window instead of wxTipWindow.

You can use the convenience function wxContextId() to convert an integer context id to a string for passing to wxWindow::SetHelpText().

##

Library: wxCore
Category: Help

See Also
  wxHelpProvider, wxSimpleHelpProvider, wxContextHelp, wxWindow::SetHelpText(), wxWindow::GetHelpTextAtPoint()

## Public Member Functions
| wxHelpControllerHelpProvider (wxHelpControllerBase *hc=NULL)
| Note that the instance doesn't own the help controller.
wxHelpControllerBase * | GetHelpController () const
| Returns the help controller associated with this help provider.
void | SetHelpController (wxHelpControllerBase *hc)
| Sets the help controller associated with this help provider.

## Additional Inherited Members
Static Public Member Functions inherited from wxHelpProvider
static wxHelpProvider * | Get ()
| Returns pointer to help provider instance.
static wxHelpProvider * | Set (wxHelpProvider *helpProvider)
| Set the current, application-wide help provider.

## Constructor & Destructor Documentation

wxHelpControllerHelpProvider::wxHelpControllerHelpProvider | ( | wxHelpControllerBase * | hc = `NULL` | ) |

Note that the instance doesn't own the help controller.

The help controller should be deleted separately.

## Member Function Documentation

wxHelpControllerBase* wxHelpControllerHelpProvider::GetHelpController | ( |  | ) | const

Returns the help controller associated with this help provider.

void wxHelpControllerHelpProvider::SetHelpController | ( | wxHelpControllerBase * | hc | ) |

Sets the help controller associated with this help provider.